#
# spec file for package bootsplash-theme-SuSE (Version 3.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel gfxboot glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           bootsplash-theme-SuSE
BuildRequires:  freetype2-devel libjpeg-devel libmng-devel
%ifarch %ix86 x86_64
BuildRequires:  gfxboot
%endif
URL:            http://www.bootsplash.org/
Version:        3.1
Release:        69.4
Summary:        Default SUSE Bootsplash Theme
License:        GPL
Group:          System/Boot
Autoreqprov:    on
PreReq:         %fillup_prereq /bin/cp
Provides:       bootsplash-theme
# Scripts and programs
Source0:        Theme-SuSE.tar.bz2
Source1:        Theme-SuSE-SLES.tar.bz2
Source2:        Theme-SuSE-NLD.tar.bz2
Source3:        Theme-SuSE-Zen.tar.bz2
# sysconfig files
Source20:       sysconfig.bootsplash-theme-SuSE
Source21:       sysconfig.bootsplash-theme-SuSE-SLES
Source22:       sysconfig.bootsplash-theme-SuSE-NLD
Source23:       sysconfig.bootsplash-theme-SuSE-Zen
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       bootsplash >= 3.3-11

%description
This package contains the default theme for SUSE's graphical boot. Find
more information at http://www.bootsplash.org/.



Authors:
--------
    Stefan Reinauer <stepan@suse.de>
    Kenneth W. Wimer <wimer@suse.de>

%debug_package
%package SLES
Provides:       bootsplash-theme bootsplash-theme-UnitedLinux
Obsoletes:      bootsplash-theme-UnitedLinux
Summary:        Default SuSE Linux Enterprise Server Bootsplash Theme
Autoreqprov:    on
PreReq:         %fillup_prereq /bin/cp
Group:          System/Boot
Requires:       bootsplash >= 3.3-11

%description SLES
This package contains the SLES theme for SuSE's graphical bootup
mechanism. More information can be found at http://www.bootsplash.org/



Authors:
--------
    Stefan Reinauer <stepan@suse.de>
    Kenneth W. Wimer <wimer@suse.de>

%package Zen
Provides:       bootsplash-theme bootsplash-theme-UnitedLinux
Obsoletes:      bootsplash-theme-UnitedLinux
Summary:        Default SUSE Bootsplash Theme
Autoreqprov:    on
PreReq:         %fillup_prereq /bin/cp
Group:          System/Boot
Requires:       bootsplash >= 3.3-11

%description Zen
This package contains the default theme for SUSE's graphical boot. Find
more information at http://www.bootsplash.org/.



Authors:
--------
    Stefan Reinauer <stepan@suse.de>
    Kenneth W. Wimer <wimer@suse.de>

%package NLD
Provides:       bootsplash-theme
Summary:        Default NLD Bootsplash Theme
Autoreqprov:    on
PreReq:         %fillup_prereq /bin/cp
Group:          System/Boot
Requires:       bootsplash >= 3.3-11

%description NLD
This package contains the default theme for NLD's graphical bootup.
More information can be found at http://www.bootsplash.org/.



Authors:
--------
    Stefan Reinauer <stepan@suse.de>
    Kenneth W. Wimer <wimer@suse.de>

%prep
%setup -n SuSE -b1 -b2 -b3

%build

%install
cd ..
rm -rf ${RPM_BUILD_ROOT}
# create directory structure
mkdir -p ${RPM_BUILD_ROOT}/etc/bootsplash/themes
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/rc3.d
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/rc5.d
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
mkdir -p ${RPM_BUILD_ROOT}/sbin/conf.d
# copy theme directories
for theme in SuSE SuSE-SLES SuSE-NLD SuSE-Zen
do
  cp -a "$theme" ${RPM_BUILD_ROOT}/etc/bootsplash/themes
done
mkdir -p scripts
cp %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} scripts/
for theme in SuSE SuSE-SLES SuSE-NLD SuSE-Zen
do
  install -m 644 scripts/sysconfig.bootsplash-theme-$theme $RPM_BUILD_ROOT/var/adm/fillup-templates/
done
%ifarch %ix86 x86_64
# create current bootloader themes
export PATH=$PATH:/usr/sbin
# use local copy
cp -a /usr/share/gfxboot .
for theme in SuSE SuSE-SLES SuSE-NLD SuSE-Zen
do
  btheme=$theme
  [ "$theme" = SuSE-SLES ] && btheme=SLES
  [ "$theme" = SuSE-NLD ] && btheme=NLD
  [ "$theme" = SuSE-Zen ] && btheme=Zen
  cfg=gfxboot/themes/$btheme
  [ -d $cfg ] || cfg=gfxboot/themes/SuSE
  make -C $cfg prep
  make -C $cfg
  install -m 644 $cfg/boot/{message,*.tr,*.hlp} ${RPM_BUILD_ROOT}/etc/bootsplash/themes/$theme/bootloader
done
%endif

%post 
%{fillup_only -ns bootsplash theme-SuSE }
test ! -f /etc/bootsplash/themes/SuSE/bootloader/message || \
cp -a /etc/bootsplash/themes/SuSE/bootloader/message /boot

%post SLES
%{fillup_only -ns bootsplash theme-SuSE-SLES }
test ! -f /etc/bootsplash/themes/SuSE-SLES/bootloader/message || \
cp -a /etc/bootsplash/themes/SuSE-SLES/bootloader/message /boot

%post NLD
%{fillup_only -ns bootsplash theme-SuSE-NLD }
test ! -f /etc/bootsplash/themes/SuSE-NLD/bootloader/message || \
cp -a /etc/bootsplash/themes/SuSE-NLD/bootloader/message /boot

%post Zen
%{fillup_only -ns bootsplash theme-SuSE-Zen }
test ! -f /etc/bootsplash/themes/SuSE-Zen/bootloader/message || \
cp -a /etc/bootsplash/themes/SuSE-Zen/bootloader/message /boot

%files
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/SuSE
%config /var/adm/fillup-templates/sysconfig.bootsplash-theme-SuSE

%files SLES
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/SuSE-SLES
%config /var/adm/fillup-templates/sysconfig.bootsplash-theme-SuSE-SLES

%files NLD
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/SuSE-NLD
%config /var/adm/fillup-templates/sysconfig.bootsplash-theme-SuSE-NLD

%files Zen
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/SuSE-Zen
%config /var/adm/fillup-templates/sysconfig.bootsplash-theme-SuSE-Zen

%changelog -n bootsplash-theme-SuSE
* Thu Jun 29 2006 - snwint@suse.de
- created SuSE-Zen subpackage
* Mon Mar 27 2006 - dobey@suse.de
- Update SUSE, SLES, and SLED themes for more resolutions
- Require newest bootsplash version to avoid crashing at bootup on
  single-frame MNG animations
* Tue Mar 14 2006 - dobey@suse.de
- Update SuSE theme configuration
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=150340
* Mon Mar 13 2006 - snwint@suse.de
- adjusted to new gfxboot
- removed obsolete themes
* Mon Mar 13 2006 - dobey@suse.de
- Update SLED and SLES themes to use final branding
* Tue Mar 07 2006 - dobey@suse.de
- Update NLD and SLES themes to use blue color
* Tue Feb 21 2006 - dobey@suse.de
- Update NLD, SLES and SuSE themes
- Fixes #147649 and #150340
* Tue Feb 14 2006 - kukuk@suse.de
- Fix the SLES bootsplash paths
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - dobey@suse.de
- Update sles bootsplash artwork with server branding
- Update suse bootsplash artwork
* Wed Jan 18 2006 - dobey@suse.de
- Update nld grub theme for new branding
- Update sles bootsplash artwork for new branding
* Mon Jan 16 2006 - dobey@suse.de
- Update nld bootsplash for new branding
* Mon Dec 19 2005 - dobey@suse.de
- Update nld bootsplash to new artwork
* Tue Nov 22 2005 - jpr@suse.de
- update nld bootsplash for 10 alpha
* Mon Sep 05 2005 - mls@suse.de
- updated animations [#115149]
* Mon Aug 29 2005 - mls@suse.de
- update to new graphics
* Mon Aug 22 2005 - mls@suse.de
- use real prelim of non-silent graphics
* Mon Aug 15 2005 - ro@suse.de
- use prelim version for 10.0 graphics, non-silent mode
* Wed Aug 03 2005 - mls@suse.de
- first shot at 10.0 graphics, silent mode only for now
* Wed Mar 16 2005 - mls@suse.de
- transparent circ animation
* Mon Mar 14 2005 - mls@suse.de
- move text a tiny bit to the left
* Mon Mar 07 2005 - mls@suse.de
- first shot at suse 9.3
* Mon Jan 31 2005 - snwint@suse.de
- gfxboot: translations and help texts have been renamed to *.tr and *.hlp
* Fri Oct 01 2004 - mls@suse.de
- change circle logo to suse branding
* Wed Sep 29 2004 - mls@suse.de
- updated text animations
- use white novell in verbose pics
- support YaST and system is down messages
- updated triggers to new names
* Thu Sep 23 2004 - mls@suse.de
- added progress bar
- added "initializing hardware" text, renamed network to devices
* Sun Sep 19 2004 - mls@suse.de
- created new silent pictures
- added animations
- adapted config files
* Fri Sep 10 2004 - wimer@suse.de
-really updating the stuff-
* Fri Sep 10 2004 - wimer@suse.de
-Updating verbose mode pics and erverting text to white-
* Wed Sep 08 2004 - wimer@suse.de
-Changing text colors for the console (bug 44813)-
* Tue Sep 07 2004 - snwint@suse.de
- fixed file name typo in Theme-SuSE
* Mon Sep 06 2004 - wimer@suse.de
-Added 9.2 pics
* Wed Jul 14 2004 - clahey@suse.de
- Updated NLD theme.
* Mon Jun 07 2004 - clahey@suse.de
- Added NLD theme.
* Mon May 24 2004 - wimer@suse.de
- fixed bug in rendering scripts resulting in DPCM instead of DPI
* Tue May 18 2004 - wimer@suse.de
- fixing (once again) the 1280x1024 version
* Tue May 18 2004 - wimer@suse.de
- adding new logos to the silent bootsplash pictures
* Wed Apr 21 2004 - wimer@suse.de
- fixing problems with 1280x1024 version
* Fri Apr 16 2004 - wimer@suse.de
- added sles bootsplash pics and configs
* Mon Apr 05 2004 - wimer@suse.de
- fixed color value bug in theme SuSE (#38264, #38303)
* Sat Apr 03 2004 - stepan@suse.de
- use NOROOTFORBUILD to avoid future conflicts with the ownership
  of files in the picture archives.
* Sat Apr 03 2004 - wimer@suse.de
- changed the progress bar to work better with the rounded corners
* Fri Apr 02 2004 - stepan@suse.de
- update SuSE theme configuration files
- update SuSE-Home theme configuration files
- update SuSE-SLES theme (pictures and configuration)
* Thu Apr 01 2004 - stepan@suse.de
- update config file for 1024x768 (more to follow)
- fix typo in sysconfig.bootsplash-theme-SuSE-Home
* Mon Mar 29 2004 - stepan@suse.de
- update pictures for SuSE and SuSE-Home Theme.
* Sun Mar 28 2004 - stepan@suse.de
- drop UnitedLinux Theme
- add UnitedLinux Theme to Provides and Obsoletes of SLES Theme
* Tue Mar 02 2004 - stepan@suse.de
- fix typoes
* Tue Mar 02 2004 - stepan@suse.de
- add Theme for SuSE Linux Home
* Mon Mar 01 2004 - snwint@suse.de
- adapted to new gfxboot package
* Fri Feb 27 2004 - kukuk@suse.de
- Fix compiling on SLES9
* Fri Sep 05 2003 - stepan@suse.de
- fix 9.0 theme.
* Wed Sep 03 2003 - wimer@suse.de
- update to 9.0 theme.
* Mon Aug 18 2003 - snwint@suse.de
- adapted to new gfxboot package
* Fri Jun 13 2003 - ro@suse.de
- added directories to filelists
* Tue Jun 03 2003 - stepan@suse.de
- copy bootloader message file in %%post section to get rid of
  the otherwise unneeded SuSEconfig.bootsplash script
* Thu Apr 03 2003 - stepan@suse.de
- change image paths to /etc/bootsplash
* Thu Mar 20 2003 - stepan@suse.de
- initial version. split off package bootsplash
